<!-- 
        Challenge 1: Create a dynamic table as mentioned below   :

        The user has to select the number of rows required from a dropdown list. Based on the selection the rows should generate dynamically in the table. The dropdown list should contain rows starting from 2 to 10.
        
        There will be 2 columns, where:


        First Column : The user can enter numbers (float) in the textboxes.

        Second column : Using a button click, calculate the cube of the numbers provided in the first column. Thereafter, display the calculated cube values in the textbox in the same row of the second column.

        Include a validation step in the code. If the user has not entered the  number, display the relevant error message to the user in the best possible way.

    
        Instructions for this task
        Use CSS to provide rich experience and mobile responsiveness.
        Use HTML, CSS and TypeScript only (JavaScript files to be created from TypeScript files).
----------------------------------------------------------------------------------------------------------------

    Developed By :- Sushil Ramswarup Dhun. 
    Class :- TY Bsc computer science.
    College :- Modern College Ganeshkhind,Pune - 16.


-->
<html>

    <body>
        <div>
        <form align="center" method="GET" name="main2">

            <h2>Select the number of rows you want to create :</h2>

            <select id="user_id" name="nos">
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <option value="5">5</option>
                    <option value="6">6</option>
                    <option value="7">7</option>
                    <option value="8">8</option>
                    <option value="9">9</option>
                    <option value="10">10</option>
            </select>
            

            <input type="submit" id="mysubmit" value="Create" onClick="addMoreRows(); return false;">
        </form>

        <table id="tbl_id" style="text-align:center" align="center" valign:top; width="250px">
            <thead>
                <tr>
                    <th>Enter the No :</th> 
                    <th>Cube is :</th>
                </tr>
            </thead>
        </table>

        <form align="center" method="GET" name="main">
            <input type="submit" id="Calulate" value="Calulate" onClick="cube(); return false;">
        </form>

        <!-- Here is the Script to create table dynamically--> 
        <script type="text/javascript">

            function addMoreRows() 
            {
                var rowsAdded = document.getElementById('user_id').value;

                for(var x=0; x<rowsAdded; x++) 
                {
                    var newRow = document.getElementById('tbl_id').insertRow();

                    var newCell = newRow.insertCell();
                    newCell.innerHTML="<tr><td><input type='text' name='Number' id='n1'></td></tr>";

                    newCell = newRow.insertCell();
                    newCell.innerHTML="<tr><td><p  id='dis'><input type='text' name='result'></td></tr>";
                }
            }

        <!-- Here is the Script to Calculate the Cube of the number--> 
            function cube()
            {
                var cb = document.getElementById('user_id').value;
                var no = parseFloat(document.getElementById('n1').value);

                for(var i=0; i<=cb; i++)
                { 
                    document.getElementById('dis').innerHTML = no*no*no;
                }
            }

        </script>

    </body>
</html>
